import sys
from os import getcwd
from distutils.core import setup
from py2exe.build_exe import py2exe

# bless author of http://www.py2exe.org/index.cgi/WinShell   - it took almost 3 hours to fix this!
import modulefinder
import win32com
for p in win32com.__path__[1:]:
  modulefinder.AddPackagePath("win32com", p)
  for extra in ["win32com.axcontrol"]:
    __import__(extra)
    m = sys.modules[extra]
    for p in m.__path__[1:]:
      modulefinder.AddPackagePath(extra, p)

sys.path.append(getcwd())

# Mostly copy&paste from py2exe advanced samples (check Python/Lib/...)

# If run without args, build executables, in quiet mode.
if len(sys.argv) == 1:
    sys.argv.append("py2exe")
    sys.argv.append("-q")

class Target:
    def __init__(self, **kw):
        self.__dict__.update(kw)
        # for the versioninfo resources
        self.version = "0.1"
        self.company_name = "test company"
        self.copyright = "Jirka"
        self.name = "IE BHO test"
        
IE_BHO = Target(
    description = "IE BHO test",
    # what to build.  For COM servers, the module name (not the
    # filename) must be specified!
    modules = ["IE_BHO"],
    create_exe = False,
    create_dll = True
    )


py2exe_options = dict(
             typelibs = [ ('{EAB22AC0-30C1-11CF-A7EB-0000C05BAE0B}', 0, 1, 1) ]
                     )

setup(
      cmdclass = {'py2exe': py2exe}, 
      com_server=[IE_BHO],
      options = {"py2exe" : py2exe_options}
      )
